.Top_pick_card {
    padding: 10px;
    background: #f5f5f5 0% 0% no-repeat padding-box;
    border-radius: 3px;
    border: 1px solid transparent;
    transition: all 0.3s;
}

.Top_pick_card .card_img_div {
    width: auto;
    height: 280px;
    border-radius: 3px;
    overflow: hidden;
    position: relative;
}

.Top_pick_card .card_img_div .card_img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 3px;
    transition: all 0.3s;
    background: #fff;
}


.Top_pick_card:hover .card_img_div .card_img {
    transform: scale(1.1);
    transition: all 0.3s;
}

.Top_pick_card .card_img_div .Express_badge {
    position: absolute;
    z-index: 2;
    left: 5px;
    bottom: 5px;
    opacity: 0;
    transition: 0.3s;
}

.Top_pick_card:hover .card_img_div .Express_badge {
    opacity: 1;
    transition: 0.3s;
}

.Top_pick_card .card_content_div {
    margin: 10px 0;
}

.Top_pick_card .card_content_div .card_title {
    font-size: 22px;
    font-weight: 600;
    color: #000000;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    overflow-wrap: break-word;
    word-break: normal;
}

.Top_pick_card .card_content_div .card_desc {
    font-size: 13px;
    letter-spacing: -0.13px;
    color: #1a1a1a;

    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.Top_pick_card .fabric_row {
    display: flex;
    justify-content: space-between;
}

.Top_pick_card .fabric_row .label {
    font-size: 13px;
    font-weight: 600;
    text-decoration: underline;
    letter-spacing: -0.13px;
    color: #1a1a1a;
}

.Top_pick_card .fabric_row .value {
    font-size: 14px;
    font-weight: 500;
    color: #000000;
}

.Top_pick_card .card_footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.Top_pick_card .card_footer .price_div .card_price {
    font-size: 24px;
    font-weight: 700;
    color: #fb0000;
    margin: 0;
}

.Top_pick_card .card_footer .price_div .starting_text {
    font-size: 12px;
    font-weight: 500;
    color: #707070;
    margin: 0;
}


/* Hover States */


.Top_pick_card :hover .card_img_div .card_img {
    transform: scale(1.1);
}

.Top_pick_card :hover .Customize_Btn {
    background-color: #1A1A1A;
    color: #fff;
}



/* ==================== Media Queries =================== */
@media (min-width:0px) and (max-width:575px) {
    .Top_pick_card .card_footer .price_div .card_price {
        font-size: 17px;
    }

    .Top_pick_card .card_content_div .card_title {
        font-size: 17px;
    }

    .Top_pick_card .card_img_div {
        height: 200px;
    }

    .Top_pick_card .fabric_row {
        flex-direction: column;
        align-items: flex-start;
    }

    .Top_pick_card .fabric_row .label {
        margin-bottom: 0px;
    }
}

@media (min-width:576px) and (max-width:991px) {
    .Top_pick_card .card_content_div .card_title {
        font-size: 18px;
    }

    .Top_pick_card .fabric_row .value {
        font-size: 13px;
    }

    .Top_pick_card .card_footer .price_div .card_price {
        font-size: 21px;
    }

    .Top_pick_card .card_img_div {
        height: 210px;
    }


    .Top_pick_card .fabric_row {
        flex-direction: column;
        align-items: flex-start;
    }

    .Top_pick_card .fabric_row .label {
        margin-bottom: 0px;
    }
}

@media (min-width:992px) and (max-width:1199px) {
    .Top_pick_card .fabric_row .value {
        font-size: 13px;
    }

    .Top_pick_card .fabric_row {
        flex-direction: column;
        align-items: flex-start;
    }

    .Top_pick_card .fabric_row .label {
        margin-bottom: 0px;
    }
}